Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.util
Class CoreAjaxRendererUtils

    java.lang.Object
      org.richfaces.renderkit.util.CoreAjaxRendererUtils

    public final class CoreAjaxRendererUtils

extends java.lang.Object

Author:
  shura

  Some utilites for render AJAX components.

Field Summary
`static java.lang.String` | `AJAX_PROCESS_ATTRIBUTE`
`static java.lang.String` | `AJAX_REGIONS_ATTRIBUTE`
`static java.lang.String` | `DATA_ATTR_NAME`
`static java.lang.String` | `LIMITRENDER_ATTR_NAME` Attribute to keep
`static java.lang.String` | `ONBEFOREDOMUPDATE_ATTR_NAME` Attribute for keep JavaScript function name for call before updating DOM tree.
`static java.lang.String` | `ONCOMPLETE_ATTR_NAME` Attribute for keep JavaScript function name for call after complete request.

Method Summary
`static java.lang.String[]` | `asIdsArray(java.lang.String valuesSet)` Split parameter string into array of strings.
`static java.util.Set<java.lang.String>` | `asIdsSet(java.lang.Object valueToSet)`
`static java.util.Set<java.lang.String>` | `getAjaxAreas(javax.faces.component.UIComponent uiComponent)` Get list of clientId's for given component
`static java.util.Set<java.lang.String>` | `getAjaxAreasToProcess(javax.faces.component.UIComponent component)` Returns set of areas to be processed as a result of this component action invocation
`static java.lang.Object` | `getAjaxData(javax.faces.component.UIComponent component)`
`static java.lang.String` | `getAjaxOnBeforeDomUpdate(javax.faces.component.UIComponent component)` Get function name for call before update DOM.
`static java.lang.String` | `getAjaxOncomplete(javax.faces.component.UIComponent component)` Get function name for call on completed ajax request.
`static boolean` | `isAjaxLimitRender(javax.faces.component.UIComponent component)` Calculate, must be component render only given areas, or all sended from server.
`static void` | `renderAjaxExtensions(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONBEFOREDOMUPDATE_ATTR_NAME

    public static final java.lang.String ONBEFOREDOMUPDATE_ATTR_NAME

  Attribute for keep JavaScript function name for call before updating DOM tree.

  See Also:
    Constant Field Values

### ONCOMPLETE_ATTR_NAME

    public static final java.lang.String ONCOMPLETE_ATTR_NAME

  Attribute for keep JavaScript function name for call after complete request.

  See Also:
    Constant Field Values

### DATA_ATTR_NAME

    public static final java.lang.String DATA_ATTR_NAME

See Also:
  Constant Field Values

### LIMITRENDER_ATTR_NAME

    public static final java.lang.String LIMITRENDER_ATTR_NAME

  Attribute to keep

  See Also:
    Constant Field Values

### AJAX_PROCESS_ATTRIBUTE

    public static final java.lang.String AJAX_PROCESS_ATTRIBUTE

Since:
  3.3.0
See Also:
  Constant Field Values

### AJAX_REGIONS_ATTRIBUTE

    public static final java.lang.String AJAX_REGIONS_ATTRIBUTE

See Also:
  Constant Field Values

Method Detail

### renderAjaxExtensions

    public static void renderAjaxExtensions(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent component)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### asIdsArray

    public static java.lang.String[] asIdsArray(java.lang.String valuesSet)

  Split parameter string into array of strings.

  Parameters:
    `valuesSet` -
  Returns:

### getAjaxAreas

    public static java.util.Set<java.lang.String> getAjaxAreas(javax.faces.component.UIComponent uiComponent)

  Get list of clientId's for given component

  Parameters:
    `uiComponent` -
  Returns:
    List of areas Id's , updated by this component.

### getAjaxAreasToProcess

    public static java.util.Set<java.lang.String> getAjaxAreasToProcess(javax.faces.component.UIComponent component)

  Returns set of areas to be processed as a result of this component action invocation

  Parameters:
    `component` -
  Returns:
    set of IDs that should be processed as a
  Since:
    3.3.0

### asIdsSet

    public static java.util.Set<java.lang.String> asIdsSet(java.lang.Object valueToSet)

### isAjaxLimitRender

    public static boolean isAjaxLimitRender(javax.faces.component.UIComponent component)

  Calculate, must be component render only given areas, or all sended from server.

  Parameters:
    `component` -
  Returns:
    `true` if client must render ONLY given areas.

### getAjaxOncomplete

    public static java.lang.String getAjaxOncomplete(javax.faces.component.UIComponent component)

  Get function name for call on completed ajax request.

  Parameters:
    `component` - for wich calculate function name
  Returns:
    name of JavaScript function or `null`

### getAjaxOnBeforeDomUpdate

    public static java.lang.String getAjaxOnBeforeDomUpdate(javax.faces.component.UIComponent component)

  Get function name for call before update DOM.

  Parameters:
    `component` - for wich calculate function name
  Returns:
    name of JavaScript function or `null`

### getAjaxData

    public static java.lang.Object getAjaxData(javax.faces.component.UIComponent component)

  Parameters:
    `component` -
  Returns:
  Since:
    4.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.